set j [lindex $argv 0]

set file [open "new.dat" w]
mol new ../../../dmps/dmps_1_AA/step5_assembly.psf
mol addfile ../../../dmps/dmps_1_AA/namd/recenter/dyn$j-recenter.dcd waitfor all

set nf [molinfo top get numframes]
set protein [atomselect top "segname PROA"]


for {set i 0} {$i < $nf} {incr i} {


	set sel [atomselect top "segname PROA and resid 1" frame $i]
	set mass [$sel get mass]
	set data [measure center [atomselect top "segname PROA and resid 1" frame $i] weight $mass]

set data [lindex $data 2]

	set datalip [measure center [atomselect top "segname MEMB and name P and resid 61 to 120" frame $i]]

set datalip [lindex $datalip 2]
set distance [expr -$data + $datalip]
puts $file "$distance"

}

close $file
exit
